Show / Hide Table of Contents

# Struct PartyMember

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Group

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct PartyMember

### Fields

| Improve this Doc View Source

#### BuffList

##### Declaration

    public BuffList BuffList

##### Field Value

Type | Description
--- | ---
BuffList |

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public byte ClassJob

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentHP

##### Declaration

    public uint CurrentHP

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentMP

##### Declaration

    public ushort CurrentMP

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Level

##### Declaration

    public byte Level

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxHP

##### Declaration

    public uint MaxHP

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxMP

##### Declaration

    public ushort MaxMP

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ObjectID

##### Declaration

    public uint ObjectID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Sex

##### Declaration

    public byte Sex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TerritoryType

##### Declaration

    public ushort TerritoryType

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_1A0

##### Declaration

    public long Unk_1A0

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### Unk_1C2

##### Declaration

    public ushort Unk_1C2

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_220

##### Declaration

    public byte Unk_220

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_ObjectID_1

##### Declaration

    public uint Unk_ObjectID_1

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk_ObjectID_2

##### Declaration

    public uint Unk_ObjectID_2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk_Struct_208__0

##### Declaration

    public byte Unk_Struct_208__0

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_Struct_208__10

##### Declaration

    public ushort Unk_Struct_208__10

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_Struct_208__14

##### Declaration

    public ushort Unk_Struct_208__14

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_Struct_208__4

##### Declaration

    public uint Unk_Struct_208__4

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk_Struct_208__8

##### Declaration

    public ushort Unk_Struct_208__8

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_Struct_208__C

##### Declaration

    public uint Unk_Struct_208__C

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### X

##### Declaration

    public float X

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y

##### Declaration

    public float Y

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Z

##### Declaration

    public float Z

##### Field Value

Type | Description
--- | ---
System.Single |